org.apache.log4j.rule

## Class InequalityRule

- java.lang.Object
- - org.apache.log4j.rule.AbstractRule
  - - org.apache.log4j.rule.InequalityRule

- All Implemented Interfaces:
    Serializable, Rule

      public class InequalityRule
      extends AbstractRule

  A Rule class implementing inequality evaluation. expects to be able to convert two values to longs. If a specific inequality evaluation class has been provided for the event field, the appropriate rule is returned. (For example, if the expression is Level < DEBUG, a LevelInequalityRule is returned).
  Author:
    Scott Deboy (sdeboy@apache.org)
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(org.apache.log4j.spi.LoggingEvent event, Map matches)` Returns true if this implementation of the rule accepts the LoggingEvent, or false if not.
    `static Rule` | `getRule(String inequalitySymbol, Stack stack)` Create new instance from top two elements on stack.
    `static Rule` | `getRule(String inequalitySymbol, String field, String value)` Create new instance from top two elements on stack.

    - ### Methods inherited from class org.apache.log4j.rule.AbstractRule

      `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRule

          public static Rule getRule(String inequalitySymbol,
                     Stack stack)

      Create new instance from top two elements on stack.
      Parameters:
        `inequalitySymbol` - inequality symbol.
        `stack` - stack.
      Returns:
        rule.

    - #### getRule

          public static Rule getRule(String inequalitySymbol,
                     String field,
                     String value)

      Create new instance from top two elements on stack.
      Parameters:
        `inequalitySymbol` - inequality symbol.
        `field` - field.
        `value` - comparison value.
      Returns:
        rule.

    - #### evaluate

          public boolean evaluate(org.apache.log4j.spi.LoggingEvent event,
                         Map matches)

      Returns true if this implementation of the rule accepts the LoggingEvent, or false if not.

      What True/False means can be client-specific.

      Parameters:
        `event` - LoggingEvent this instance will evaluate
        `matches` - a Map of event field keys to Sets of matching strings (may be null) which will be updated during execution of this method to include field and string matches based on the rule evaluation results
      Returns:
        true if this Rule instance accepts the event, otherwise false.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.